Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eFixedAssetsMoveType
    eActivation = 0 'Aktiválás
    eExtraActivation = 1 'Ráaktiválás
    eDisposalBrutto = 2 'Selejtezés brutto
    eDisposalDepreciation = 3 'Selejtezés ÉCS
    eDepreciation = 4 'ÉCS
    eInvestment = 5 'Beruházás
    eInventoryShortageBrutto = 6 'Leltárhiány brutto
    eInventoryShortageDepreciation = 7 'Leltárhiány ÉCS
    eSoldBrutto = 8 'Értékesítés brutto
    eSoldDepreciation = 9 'Értékesítés ÉCS
    eExtraDepreciation = 10 'Rendkívüli ÉCS
End Enum
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class FixedAssetsGLParameters
    Inherits BaseObject

    Private _FixedAssetsGroup1 As FixedAssetsGroup1
    Private _FixedAssetsMoveType As eFixedAssetsMoveType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("FixedAssetsGroup1-FixedAssetsGLParameters", GetType(FixedAssetsGroup1))> _
    Property FixedAssetsGroup1 As FixedAssetsGroup1
        Get
            Return _FixedAssetsGroup1
        End Get
        Set(value As FixedAssetsGroup1)
            SetPropertyValue("FixedAssetsGroup1", _FixedAssetsGroup1, value)
        End Set
    End Property
    Property FixedAssetsMoveType As eFixedAssetsMoveType
        Get
            Return _FixedAssetsMoveType
        End Get
        Set(value As eFixedAssetsMoveType)
            SetPropertyValue("FixedAssetsMoveType", _FixedAssetsMoveType, value)
        End Set
    End Property

    <Association("FixedAssetsGLParameters-FixedAssetsGLParametersYear", GetType(FixedAssetsGLParametersYear)), VisibleInListView(False), VisibleInLookupListView(False)> _
    ReadOnly Property FixedAssetsGLParametersYear As XPCollection(Of FixedAssetsGLParametersYear)
        Get
            Return GetCollection(Of FixedAssetsGLParametersYear)("FixedAssetsGLParametersYear")
        End Get
    End Property
End Class
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class FixedAssetsGLParametersYear
    Inherits BaseObject
    Private _FixedAssetsGLParameters As FixedAssetsGLParameters
    Private _AccountYear As Long
    Private _DebitChartOfAccounts As ChartOfAccounts
    Private _CreditChartOfAccounts As ChartOfAccounts

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("FixedAssetsGLParameters-FixedAssetsGLParametersYear", GetType(FixedAssetsGLParameters))> _
    Property FixedAssetsGLParameters As FixedAssetsGLParameters
        Get
            Return _FixedAssetsGLParameters
        End Get
        Set(value As FixedAssetsGLParameters)
            SetPropertyValue("FixedAssetsGLParameters", _FixedAssetsGLParameters, value)
        End Set
    End Property
    Property AccountYear As Long
        Get
            Return _AccountYear
        End Get
        Set(value As Long)
            SetPropertyValue("AccountYear", _AccountYear, value)
        End Set
    End Property
    Property DebitChartOfAccounts As ChartOfAccounts
        Get
            Return _DebitChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("DebitChartOfAccounts", _DebitChartOfAccounts, value)
        End Set
    End Property
    Property CreditChartOfAccounts As ChartOfAccounts
        Get
            Return _CreditChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("CreditChartOfAccounts", _CreditChartOfAccounts, value)
        End Set
    End Property
End Class